package com.sckw.mongo.enums;

/**
 * @author lfdc
 * @description 消息类型枚举
 * @date 2023-07-10 13:07:05
 */
public enum MessageTypeEnum {

    SMS_MESSAGE_TYPE("短信消费","sckw-sms", "发送短信定义"),
    MQ_MESSAGE_TYPE("消息消费","sckw-message", "消息消费定义"),

    ;

    private final String name;

    private final String value;
    /**
     * 字段含义解释
     */
    private final String desc;

    MessageTypeEnum(String name, String value, String desc) {
        this.name = name;
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

    public String getDesc() {
        return desc;
    }
}
